# Poco

# class NamedEventImpl

Library: Foundation
Package: Processes
Header: Poco/NamedEvent_WIN32U.h

## Inheritance

Known Derived Classes: NamedEvent

## Member Summary

Member Functions: setImpl, waitImpl

## Constructors

### NamedEventImpl

NamedEventImpl(
const std::string & name
);

## Destructor

### ~NamedEventImpl

~NamedEventImpl();

## Member Functions

### setImpl

void setImpl();

### waitImpl

void waitImpl();